﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Name", typeof(string));

            dt.Rows.Add(null, "Jane");
            dt.Rows.Add(null, "John");
            dt.Rows.Add(null, "Jack");

            this.bindingSource1.DataSource = dt;
            this.dataGridView1.DataSource = this.bindingSource1;
        }

        private void dataGridView1_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
        {
            DataRow row = ((DataRowView)this.bindingSource1.Current).Row;

            using (Form2 dialogue = new Form2(row))
            {
                dialogue.ShowDialog();
            }
        }
    }
}
